/*
 * LivraisonInspecteurNibnb.java
 *
 * Created on 30 octobre 2008, 14:00
 */

package org.cocktail.corossol.client.nib;

import org.cocktail.application.palette.JPanelCocktail;

public class LivraisonInspecteurNib extends JPanelCocktail {
    
    /** Creates new form LivraisonInspecteurNibnb */
    public LivraisonInspecteurNib() {
        initComponents();
    }
    
    public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailAnnuler() {
		return jButtonCocktailAnnuler;
	}

	public void setJButtonCocktailAnnuler(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailAnnuler) {
		jButtonCocktailAnnuler = buttonCocktailAnnuler;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailMagasin() {
		return jButtonCocktailMagasin;
	}

	public void setJButtonCocktailMagasin(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailMagasin) {
		jButtonCocktailMagasin = buttonCocktailMagasin;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailValider() {
		return jButtonCocktailValider;
	}

	public void setJButtonCocktailValider(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailValider) {
		jButtonCocktailValider = buttonCocktailValider;
	}

	public javax.swing.JFormattedTextField getJFormattedTextFieldDate() {
		return jFormattedTextFieldDate;
	}

	public void setJFormattedTextFieldDate(
			javax.swing.JFormattedTextField formattedTextFieldDate) {
		jFormattedTextFieldDate = formattedTextFieldDate;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailCommande() {
		return jTextFieldCocktailCommande;
	}

	public void setJTextFieldCocktailCommande(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailCommande) {
		jTextFieldCocktailCommande = textFieldCocktailCommande;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailExercice() {
		return jTextFieldCocktailExercice;
	}

	public void setJTextFieldCocktailExercice(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailExercice) {
		jTextFieldCocktailExercice = textFieldCocktailExercice;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailNumero() {
		return jTextFieldCocktailNumero;
	}

	public void setJTextFieldCocktailNumero(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailNumero) {
		jTextFieldCocktailNumero = textFieldCocktailNumero;
	}

	public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktailReception() {
		return jTextFieldCocktailReception;
	}

	public void setJTextFieldCocktailReception(
			org.cocktail.application.palette.JTextFieldCocktail textFieldCocktailReception) {
		jTextFieldCocktailReception = textFieldCocktailReception;
	}

	public javax.swing.JTextArea getJTextFieldCocktailRemarque() {
		return jTextFieldCocktailRemarque;
	}

	public void setJTextFieldCocktailRemarque(
			javax.swing.JTextArea textFieldCocktailRemarque) {
		jTextFieldCocktailRemarque = textFieldCocktailRemarque;
	}

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabelCocktail6 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailValider = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktailExercice = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail2 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktail3 = new org.cocktail.application.palette.JTextFieldCocktail();
        jButtonCocktailMagasin = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktailNumero = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail5 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail7 = new org.cocktail.application.palette.JLabelCocktail();
        jButtonCocktailAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jLabelCocktail3 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktailCommande = new org.cocktail.application.palette.JTextFieldCocktail();
        jLabelCocktail1 = new org.cocktail.application.palette.JLabelCocktail();
        jLabelCocktail4 = new org.cocktail.application.palette.JLabelCocktail();
        jTextFieldCocktailReception = new org.cocktail.application.palette.JTextFieldCocktail();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextFieldCocktailRemarque = new javax.swing.JTextArea();
        jFormattedTextFieldDate = new javax.swing.JFormattedTextField();

        jLabelCocktail6.setText("Receptionne par : ");

        jButtonCocktailValider.setText("Valider");
        jButtonCocktailValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailValiderActionPerformed(evt);
            }
        });

        jTextFieldCocktailExercice.setText(" ");
        jTextFieldCocktailExercice.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktailExerciceActionPerformed(evt);
            }
        });

        jLabelCocktail2.setText("Commande : ");

        jButtonCocktailMagasin.setText("Choisir");

        jLabelCocktail5.setText("Date de livraison : ");

        jLabelCocktail7.setText("Remarques : ");

        jButtonCocktailAnnuler.setText("Annuler");

        jLabelCocktail3.setText("Magasin : ");

        jLabelCocktail1.setText("Exercice : ");

        jLabelCocktail4.setText("Numero : ");

        jTextFieldCocktailRemarque.setColumns(20);
        jTextFieldCocktailRemarque.setRows(5);
        jScrollPane1.setViewportView(jTextFieldCocktailRemarque);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, jLabelCocktail7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(22, 22, 22)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(4, 4, 4)
                        .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 50, Short.MAX_VALUE)
                        .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jTextFieldCocktailReception, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 252, Short.MAX_VALUE)
                    .add(jTextFieldCocktailCommande, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 252, Short.MAX_VALUE)
                    .add(jTextFieldCocktailExercice, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 252, Short.MAX_VALUE)
                    .add(jFormattedTextFieldDate, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 252, Short.MAX_VALUE)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jTextFieldCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jButtonCocktailMagasin, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 110, Short.MAX_VALUE))
                    .add(jTextFieldCocktailNumero, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 252, Short.MAX_VALUE)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 252, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktail3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailMagasin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailNumero, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jFormattedTextFieldDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextFieldCocktailReception, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jTextFieldCocktailExerciceActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktailExerciceActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldCocktailExerciceActionPerformed

    private void jButtonCocktailValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailValiderActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailValiderActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailAnnuler;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailMagasin;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailValider;
    public javax.swing.JFormattedTextField jFormattedTextFieldDate;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail1;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail2;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail3;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail4;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail5;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail6;
    public org.cocktail.application.palette.JLabelCocktail jLabelCocktail7;
    public javax.swing.JPanel jPanel1;
    public javax.swing.JScrollPane jScrollPane1;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktail3;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailCommande;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailExercice;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailNumero;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktailReception;
    public javax.swing.JTextArea jTextFieldCocktailRemarque;
    // End of variables declaration//GEN-END:variables
    
}
